org.richfaces.taglib

## Class TreeNodeTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.TreeNodeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TreeNodeTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAcceptCursors(javax.el.ValueExpression __acceptCursors)` List of comma separated cursors that indicates when acceptable draggable over dropzone Setter for acceptCursors
    `void` | `setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)` A list of drag zones types, which elements are accepted by a drop zone Setter for acceptedTypes
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setAjaxSubmitSelection(javax.el.ValueExpression __ajaxSubmitSelection)` An algorithm of AJAX request submission.
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setChangeExpandListener(javax.el.MethodExpression __changeExpandListener)` Listener called on expand/collapse event on the node Setter for changeExpandListener
    `void` | `setCursorTypeMapping(javax.el.ValueExpression __cursorTypeMapping)` Mapping between drop types and acceptable cursors Setter for cursorTypeMapping
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDragIndicator(javax.el.ValueExpression __dragIndicator)` Id of a component that is used as drag pointer during the drag operation Setter for dragIndicator
    `void` | `setDragListener(javax.el.MethodExpression __dragListener)` MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
    `void` | `setDragType(javax.el.ValueExpression __dragType)` A drag zone type that is used for zone definition, which elements can be accepted by a drop zone Setter for dragType
    `void` | `setDragValue(javax.el.ValueExpression __dragValue)` Data to be sent to the drop zone after a drop event.
    `void` | `setDropListener(javax.el.MethodExpression __dropListener)` MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
    `void` | `setDropValue(javax.el.ValueExpression __dropValue)` Data to be processed after a drop event.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setGrabbingCursors(javax.el.ValueExpression __grabbingCursors)` List of comma separated cursors that indicates when you has grabbed something Setter for grabbingCursors
    `void` | `setGrabCursors(javax.el.ValueExpression __grabCursors)` List of comma separated cursors that indicates when you can grab and drag an object Setter for grabCursors
    `void` | `setHighlightedClass(javax.el.ValueExpression __highlightedClass)` Corresponds to the HTML class attribute.
    `void` | `setIcon(javax.el.ValueExpression __icon)` The icon for node Setter for icon
    `void` | `setIconCollapsed(javax.el.ValueExpression __iconCollapsed)` The icon for collapsed node Setter for iconCollapsed
    `void` | `setIconExpanded(javax.el.ValueExpression __iconExpanded)` The icon for expanded node Setter for iconExpanded
    `void` | `setIconLeaf(javax.el.ValueExpression __iconLeaf)` An icon for component leaves Setter for iconLeaf
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setNodeClass(javax.el.ValueExpression __nodeClass)` Name of node CSS class Setter for nodeClass
    `void` | `setNodeSelectListener(javax.el.MethodExpression __nodeSelectListener)` MethodBinding representing an action listener method that will be notified after selection of node.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` HTML: script expression to invoke on node collapsing Setter for oncollapse
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOncontextmenu(javax.el.ValueExpression __oncontextmenu)` JavaScript handler to be called on right click.
    `void` | `setOndragend(javax.el.ValueExpression __ondragend)` A JavaScript event handler called after a drag operation.
    `void` | `setOndragenter(javax.el.ValueExpression __ondragenter)` A JavaScript event handler called on enter draggable object to zone.
    `void` | `setOndragexit(javax.el.ValueExpression __ondragexit)` A JavaScript event handler called after a drag object leaves zone.
    `void` | `setOndragstart(javax.el.ValueExpression __ondragstart)` A JavaScript event handler called before drag object.
    `void` | `setOndrop(javax.el.ValueExpression __ondrop)` It's an event that is called when something is dropped on a drop zone.
    `void` | `setOndropend(javax.el.ValueExpression __ondropend)` A JavaScript handler for event fired on a drop even the drop for a given type is not available.
    `void` | `setOndropout(javax.el.ValueExpression __ondropout)` A JavaScript event handler called after a out operation Setter for ondropout
    `void` | `setOndropover(javax.el.ValueExpression __ondropover)` A JavaScript event handler called after a drop operation Setter for ondropover
    `void` | `setOnexpand(javax.el.ValueExpression __onexpand)` HTML: script expression to invoke on node expansion Setter for onexpand
    `void` | `setOnselected(javax.el.ValueExpression __onselected)` HTML: script expression to invoke on node selection Setter for onselected
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRejectCursors(javax.el.ValueExpression __rejectCursors)` List of comma separated cursors that indicates when rejectable draggable over dropzone Setter for rejectCursors
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSelectedClass(javax.el.ValueExpression __selectedClass)` Corresponds to the HTML class attribute.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Gets timeout in ms.
    `void` | `setType(javax.el.ValueExpression __type)` A node type Setter for type
    `void` | `setTypeMapping(javax.el.ValueExpression __typeMapping)` The attribute associates a type of dragable zone (dragType) with &lt;rich:dndParam&gt; defined for &lt;rich:dropSupport&gt; for passing parameter value to &lt;rich:dragIndicator&gt;.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TreeNodeTag

          public TreeNodeTag()

  - ### Method Detail

    - #### setAcceptCursors

          public void setAcceptCursors(javax.el.ValueExpression __acceptCursors)

      List of comma separated cursors that indicates when acceptable draggable over dropzone Setter for acceptCursors
      Parameters:
        `acceptCursors` - - new value

    - #### setAcceptedTypes

          public void setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)

      A list of drag zones types, which elements are accepted by a drop zone Setter for acceptedTypes
      Parameters:
        `acceptedTypes` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setAjaxSubmitSelection

          public void setAjaxSubmitSelection(javax.el.ValueExpression __ajaxSubmitSelection)

      An algorithm of AJAX request submission. Possible values are "inherit", "true", "false". Default value is "inherit". Setter for ajaxSubmitSelection
      Parameters:
        `ajaxSubmitSelection` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setChangeExpandListener

          public void setChangeExpandListener(javax.el.MethodExpression __changeExpandListener)

      Listener called on expand/collapse event on the node Setter for changeExpandListener
      Parameters:
        `changeExpandListener` - - new value

    - #### setCursorTypeMapping

          public void setCursorTypeMapping(javax.el.ValueExpression __cursorTypeMapping)

      Mapping between drop types and acceptable cursors Setter for cursorTypeMapping
      Parameters:
        `cursorTypeMapping` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDragIndicator

          public void setDragIndicator(javax.el.ValueExpression __dragIndicator)

      Id of a component that is used as drag pointer during the drag operation Setter for dragIndicator
      Parameters:
        `dragIndicator` - - new value

    - #### setDragListener

          public void setDragListener(javax.el.MethodExpression __dragListener)

      MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
      Parameters:
        `dragListener` - - new value

    - #### setDragType

          public void setDragType(javax.el.ValueExpression __dragType)

      A drag zone type that is used for zone definition, which elements can be accepted by a drop zone Setter for dragType
      Parameters:
        `dragType` - - new value

    - #### setDragValue

          public void setDragValue(javax.el.ValueExpression __dragValue)

      Data to be sent to the drop zone after a drop event. Default value is "getUITree().getDragValue()". Setter for dragValue
      Parameters:
        `dragValue` - - new value

    - #### setDropListener

          public void setDropListener(javax.el.MethodExpression __dropListener)

      MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
      Parameters:
        `dropListener` - - new value

    - #### setDropValue

          public void setDropValue(javax.el.ValueExpression __dropValue)

      Data to be processed after a drop event. Default value is "getUITree().getDropValue()". Setter for dropValue
      Parameters:
        `dropValue` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setGrabCursors

          public void setGrabCursors(javax.el.ValueExpression __grabCursors)

      List of comma separated cursors that indicates when you can grab and drag an object Setter for grabCursors
      Parameters:
        `grabCursors` - - new value

    - #### setGrabbingCursors

          public void setGrabbingCursors(javax.el.ValueExpression __grabbingCursors)

      List of comma separated cursors that indicates when you has grabbed something Setter for grabbingCursors
      Parameters:
        `grabbingCursors` - - new value

    - #### setHighlightedClass

          public void setHighlightedClass(javax.el.ValueExpression __highlightedClass)

      Corresponds to the HTML class attribute. Applied to highlighted node Setter for highlightedClass
      Parameters:
        `highlightedClass` - - new value

    - #### setIcon

          public void setIcon(javax.el.ValueExpression __icon)

      The icon for node Setter for icon
      Parameters:
        `icon` - - new value

    - #### setIconCollapsed

          public void setIconCollapsed(javax.el.ValueExpression __iconCollapsed)

      The icon for collapsed node Setter for iconCollapsed
      Parameters:
        `iconCollapsed` - - new value

    - #### setIconExpanded

          public void setIconExpanded(javax.el.ValueExpression __iconExpanded)

      The icon for expanded node Setter for iconExpanded
      Parameters:
        `iconExpanded` - - new value

    - #### setIconLeaf

          public void setIconLeaf(javax.el.ValueExpression __iconLeaf)

      An icon for component leaves Setter for iconLeaf
      Parameters:
        `iconLeaf` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setNodeClass

          public void setNodeClass(javax.el.ValueExpression __nodeClass)

      Name of node CSS class Setter for nodeClass
      Parameters:
        `nodeClass` - - new value

    - #### setNodeSelectListener

          public void setNodeSelectListener(javax.el.MethodExpression __nodeSelectListener)

      MethodBinding representing an action listener method that will be notified after selection of node. Setter for nodeSelectListener
      Parameters:
        `nodeSelectListener` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncollapse

          public void setOncollapse(javax.el.ValueExpression __oncollapse)

      HTML: script expression to invoke on node collapsing Setter for oncollapse
      Parameters:
        `oncollapse` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOncontextmenu

          public void setOncontextmenu(javax.el.ValueExpression __oncontextmenu)

      JavaScript handler to be called on right click. Returning false prevents default browser context menu from being displayed Setter for oncontextmenu
      Parameters:
        `oncontextmenu` - - new value

    - #### setOndragend

          public void setOndragend(javax.el.ValueExpression __ondragend)

      A JavaScript event handler called after a drag operation. Default value is "getDefaultOndragend()". Setter for ondragend
      Parameters:
        `ondragend` - - new value

    - #### setOndragenter

          public void setOndragenter(javax.el.ValueExpression __ondragenter)

      A JavaScript event handler called on enter draggable object to zone. Default value is "getDefaultOndragenter()". Setter for ondragenter
      Parameters:
        `ondragenter` - - new value

    - #### setOndragexit

          public void setOndragexit(javax.el.ValueExpression __ondragexit)

      A JavaScript event handler called after a drag object leaves zone. Default value is "getDefaultOndragexit()". Setter for ondragexit
      Parameters:
        `ondragexit` - - new value

    - #### setOndragstart

          public void setOndragstart(javax.el.ValueExpression __ondragstart)

      A JavaScript event handler called before drag object. Default value is "getDefaultOndragstart()". Setter for ondragstart
      Parameters:
        `ondragstart` - - new value

    - #### setOndrop

          public void setOndrop(javax.el.ValueExpression __ondrop)

      It's an event that is called when something is dropped on a drop zone. Default value is "getDefaultOndrop()". Setter for ondrop
      Parameters:
        `ondrop` - - new value

    - #### setOndropend

          public void setOndropend(javax.el.ValueExpression __ondropend)

      A JavaScript handler for event fired on a drop even the drop for a given type is not available. Default value is "getDefaultOndropend()". Setter for ondropend
      Parameters:
        `ondropend` - - new value

    - #### setOndropout

          public void setOndropout(javax.el.ValueExpression __ondropout)

      A JavaScript event handler called after a out operation Setter for ondropout
      Parameters:
        `ondropout` - - new value

    - #### setOndropover

          public void setOndropover(javax.el.ValueExpression __ondropover)

      A JavaScript event handler called after a drop operation Setter for ondropover
      Parameters:
        `ondropover` - - new value

    - #### setOnexpand

          public void setOnexpand(javax.el.ValueExpression __onexpand)

      HTML: script expression to invoke on node expansion Setter for onexpand
      Parameters:
        `onexpand` - - new value

    - #### setOnselected

          public void setOnselected(javax.el.ValueExpression __onselected)

      HTML: script expression to invoke on node selection Setter for onselected
      Parameters:
        `onselected` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection. Default value is "getDefaultReRender()". Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRejectCursors

          public void setRejectCursors(javax.el.ValueExpression __rejectCursors)

      List of comma separated cursors that indicates when rejectable draggable over dropzone Setter for rejectCursors
      Parameters:
        `rejectCursors` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSelectedClass

          public void setSelectedClass(javax.el.ValueExpression __selectedClass)

      Corresponds to the HTML class attribute. Applied to selected node Setter for selectedClass
      Parameters:
        `selectedClass` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Gets timeout in ms. Default value is "getDefaultTimeout()". Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setType

          public void setType(javax.el.ValueExpression __type)

      A node type Setter for type
      Parameters:
        `type` - - new value

    - #### setTypeMapping

          public void setTypeMapping(javax.el.ValueExpression __typeMapping)

      The attribute associates a type of dragable zone (dragType) with &lt;rich:dndParam&gt; defined for &lt;rich:dropSupport&gt; for passing parameter value to &lt;rich:dragIndicator&gt;. It uses JSON format: (drag_type: parameter_name). Setter for typeMapping
      Parameters:
        `typeMapping` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.